#include "GUI_VC66_ODO.h"
#include "Services_Mileage.h"
/*ZH:*/

/*ODO 显示*/
static const uint16_t GUI_DISP_ODO[7] = {676, 657, 638, 619, 600, 581, 562};


void Gui_Display_ODO(void)
{
    uint32_t ODO_value = 0u;
    
    ODO_value = (Data_ODO_Read()/10); //此处需将ODO函数返回值赋给变量，ODO函数在其他文件中实现。

    GUI_General_Display(ODO_Sprite, CN_ODO, GUI_BLENDMODE_SRC_OVER); //显示文字 “ ODO ”
    GUI_General_Display(ODO_Sprite, CN_ODO_danwei, GUI_BLENDMODE_SRC_OVER); //显示文字 “ km ”
    GUI_General_Digit_Display(ODO_Sprite, ODO_value, Nb_19_0, 7u, 6u, GUI_DISP_ODO, 425, GUI_BLENDMODE_SRC_OVER);/*显示ODO的数值*/

}

/*:ZH*/